



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>JavaScript 的字符串转换</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">JavaScript 的字符串转换</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-02-21 01:57:44 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<p>　　数字、布尔值等其他数据类型都可以转换成字符串；一般来说，脚本引擎将根据上下文自动完成这样的转换。例如，当把数字或布尔型变量传给希望接收字符串变量的函数时，就会先隐式地将该数值转换成字符串，再进行处理：</p>
<div>
<pre class="prettyprint linenums">var num_value=35.00;<br />
alert(num_value);  //预期为一个字符串</pre>
</div>
<p>此外，如果在赋值语句中要对两个变量执行加法操作，其中一个是字符串变量，而另一个是数字变量，那么数字变量就会自动转换成字符串，接着再连接这两个字符串：</p>
<div>
<pre class="prettyprint linenums">var num_value=35.00;<br />
var string_value="This is a number: "+num_value;</pre>
</div>
<p>什么时候将数字转换成字符串，取决于JavaScript脚本引擎在什么时候处理字符串。例如，如果字符串是序列值中的第一个，那么会把所有数值都当成字符串进行处理：</p>
<div>
<pre class="prettyprint linenums">var strValue="4" + 3 + 1;  //结果是 &ldquo;431&rdquo;<br />
var strValue=4 + 3 + &ldquo;1&rdquo; ;  //结果是 71</pre>
</div>
<p>然而，如果使用其他操作符号（除了加号），那么会将字符串转换为数字：</p>
<div>
<pre class="prettyprint linenums">var firstResult="35" - 3;  //减法操作，结果是 32<br />
var secondResult= &ldquo;3&rdquo;*3 ;  //乘法操作，结果是 9<br />
var thirdResult=30/ &ldquo;3&rdquo; ;  //除法操作，结果是 10</pre>
</div>
<p>隐式转换取决于操作符和变量的位置，这更加充分地体现了松散类型的危险：数值会随着上下文发生变化，而这取决于引入新数据类型操作的顺序，以及所引用的操作符。</p>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/wq1r5148.html">MySQL mysqldump数据导出详解</a>
		</li>
						<li><a href="https://www.batexi.com/a/e9pxwvkq.html">white-space&colon; nowrap 与字符串（文本）换行</a>
		</li>
						<li><a href="https://www.batexi.com/a/39r37em9.html">iOS开发&mdash;&mdash;高级篇&mdash;&mdash;换肤、静态库</a>
		</li>
						<li><a href="https://www.batexi.com/a/xq427639.html">CAniamtion 基本使用</a>
		</li>
						<li><a href="https://www.batexi.com/a/q1zr4g59.html">&lbrack;Android Exception 1A&rsqb; -com&period;android&period;volley&period;NoConnectionError&colon; java&period;io&period;InterruptedIOException</a>
		</li>
						<li><a href="https://www.batexi.com/a/9rdyy248.html">开源堡垒机GateOne的安装、配置笔记</a>
		</li>
						<li><a href="https://www.batexi.com/a/qxnx2ed8.html">页面上动态编译及执行java代码</a>
		</li>
						<li><a href="https://www.batexi.com/a/8ojlyx5q.html">修改Jupyter notebook的启动目录</a>
		</li>
						<li><a href="https://www.batexi.com/a/qljx0e09.html">vue有关小知识</a>
		</li>
						<li><a href="https://www.batexi.com/a/q4zwkw39.html">多线程编程学习笔记&mdash;&mdash;使用异步IO（一）</a>
		</li>
						<li><a href="https://www.batexi.com/a/qxkrkye8.html">【技术干货】git常用命令</a>
		</li>
						<li><a href="https://www.batexi.com/a/q4jndneq.html">python的IDE工具-- Pycharm</a>
		</li>
						<li><a href="https://www.batexi.com/a/q2530roq.html">Prometheus监控学习记录</a>
		</li>
						<li><a href="https://www.batexi.com/a/qdwmwdv9.html">&period;NET TCP协议之TcpClient与TcpListener交互</a>
		</li>
						<li><a href="https://www.batexi.com/a/q7op2we8.html">&commat;Styles的nameSpace是什么</a>
		</li>
						<li><a href="https://www.batexi.com/a/93w0mlzq.html">WebAPI返回时间数据不带T</a>
		</li>
						<li><a href="https://www.batexi.com/a/902elrmq.html">利用Fierce2查询子域名</a>
		</li>
						<li><a href="https://www.batexi.com/a/8ko2rl5q.html">S11 day 96 RestFramework 之认证权限</a>
		</li>
						<li><a href="https://www.batexi.com/a/8em212j9.html">Visual Studio 2017各版本安装包离线下载</a>
		</li>
						<li><a href="https://www.batexi.com/a/ql1d0m69.html">Recurrent Neural Network Language Modeling Toolkit代码学习</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/8e1y5kz9.html">java 集合归类</a>
			</li>
						<li><a href="https://www.batexi.com/a/qlmjkj09.html">PHP文件系统处理（二）</a>
			</li>
						<li><a href="https://www.batexi.com/a/9rdg7z48.html">IOS源码封装成&period;bundle和&period;a文件&comma;以及加入xib的具体方法&comma;翻遍网络&comma;仅此一家完美翻译&excl;&excl; IOS7&excl;&excl;&lpar;3&rpar; 完美结局</a>
			</li>
						<li><a href="https://www.batexi.com/a/qlmjvl09.html">Win7 登入提示临时漫游档案</a>
			</li>
						<li><a href="https://www.batexi.com/a/qlmjw7e9.html">Rest文件上传</a>
			</li>
						<li><a href="https://www.batexi.com/a/qlmjxmx9.html">Redis 设计与实现读书笔记一 Redis List</a>
			</li>
						<li><a href="https://www.batexi.com/a/q2wjvxlq.html">Think Python - Chapter 18 - Inheritance</a>
			</li>
						<li><a href="https://www.batexi.com/a/qxnkxyz8.html">web app 开发必不可少的滑动插件 Flipsnap</a>
			</li>
						<li><a href="https://www.batexi.com/a/qxnkrle8.html">Java BigInteger&lpar;大数，ACM比赛专用）</a>
			</li>
						<li><a href="https://www.batexi.com/a/8okjwrl9.html">关于环境变量PATH的几点注意事项</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
